-------------------------------------------------------------------------------
-- clock_generator_0_wrapper.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

library clock_generator_v1_00_a;
use clock_generator_v1_00_a.all;

entity clock_generator_0_wrapper is
  port (
    RST : in std_logic;
    CLKIN : in std_logic;
    CLKFBIN : in std_logic;
    CLKOUT0 : out std_logic;
    CLKOUT1 : out std_logic;
    CLKOUT2 : out std_logic;
    CLKOUT3 : out std_logic;
    CLKOUT4 : out std_logic;
    CLKOUT5 : out std_logic;
    CLKOUT6 : out std_logic;
    CLKOUT7 : out std_logic;
    CLKOUT8 : out std_logic;
    CLKOUT9 : out std_logic;
    CLKOUT10 : out std_logic;
    CLKOUT11 : out std_logic;
    CLKOUT12 : out std_logic;
    CLKOUT13 : out std_logic;
    CLKOUT14 : out std_logic;
    CLKOUT15 : out std_logic;
    CLKFBOUT : out std_logic;
    LOCKED : out std_logic
  );

  attribute x_core_info : STRING;
  attribute x_core_info of clock_generator_0_wrapper : entity is "clock_generator_v1_00_a";

end clock_generator_0_wrapper;

architecture STRUCTURE of clock_generator_0_wrapper is

  component clock_generator is
    generic (
      C_FAMILY : STRING;
      C_EXT_RESET_HIGH : INTEGER;
      C_NUM_DCM : INTEGER;
      C_DCM0_DFS_FREQUENCY_MODE : STRING;
      C_DCM0_DLL_FREQUENCY_MODE : STRING;
      C_DCM0_CLK_FEEDBACK : STRING;
      C_DCM0_CLKOUT_PHASE_SHIFT : STRING;
      C_DCM0_PHASE_SHIFT : INTEGER;
      C_DCM0_CLKFX_MULTIPLY : INTEGER;
      C_DCM0_CLKFX_DIVIDE : INTEGER;
      C_DCM0_CLKDV_DIVIDE : REAL;
      C_DCM0_CLK0_BUF : BOOLEAN;
      C_DCM0_CLK90_BUF : BOOLEAN;
      C_DCM0_CLKDV_BUF : BOOLEAN;
      C_DCM0_CLK2X_BUF : BOOLEAN;
      C_DCM0_CLKFX_BUF : BOOLEAN;
      C_DCM0_CLKIN_MODULE : STRING;
      C_DCM0_CLKIN_PORT : STRING;
      C_DCM0_CLKFB_MODULE : STRING;
      C_DCM0_CLKFB_PORT : STRING;
      C_DCM0_CLK0_OUT : STRING;
      C_DCM0_CLK0_INV_OUT : STRING;
      C_DCM0_CLK90_OUT : STRING;
      C_DCM0_CLK90_INV_OUT : STRING;
      C_DCM0_CLKDV_OUT : STRING;
      C_DCM0_CLKDV_INV_OUT : STRING;
      C_DCM0_CLK2X_OUT : STRING;
      C_DCM0_CLK2X_INV_OUT : STRING;
      C_DCM0_CLKFX_OUT : STRING;
      C_DCM0_CLKFX_INV_OUT : STRING;
      C_DCM1_DFS_FREQUENCY_MODE : STRING;
      C_DCM1_DLL_FREQUENCY_MODE : STRING;
      C_DCM1_CLK_FEEDBACK : STRING;
      C_DCM1_CLKOUT_PHASE_SHIFT : STRING;
      C_DCM1_PHASE_SHIFT : INTEGER;
      C_DCM1_CLKFX_MULTIPLY : INTEGER;
      C_DCM1_CLKFX_DIVIDE : INTEGER;
      C_DCM1_CLKDV_DIVIDE : REAL;
      C_DCM1_CLK0_BUF : BOOLEAN;
      C_DCM1_CLK90_BUF : BOOLEAN;
      C_DCM1_CLKDV_BUF : BOOLEAN;
      C_DCM1_CLK2X_BUF : BOOLEAN;
      C_DCM1_CLKFX_BUF : BOOLEAN;
      C_DCM1_CLKIN_MODULE : STRING;
      C_DCM1_CLKIN_PORT : STRING;
      C_DCM1_CLKFB_MODULE : STRING;
      C_DCM1_CLKFB_PORT : STRING;
      C_DCM1_CLK0_OUT : STRING;
      C_DCM1_CLK0_INV_OUT : STRING;
      C_DCM1_CLK90_OUT : STRING;
      C_DCM1_CLK90_INV_OUT : STRING;
      C_DCM1_CLKDV_OUT : STRING;
      C_DCM1_CLKDV_INV_OUT : STRING;
      C_DCM1_CLK2X_OUT : STRING;
      C_DCM1_CLK2X_INV_OUT : STRING;
      C_DCM1_CLKFX_OUT : STRING;
      C_DCM1_CLKFX_INV_OUT : STRING;
      C_DCM2_DFS_FREQUENCY_MODE : STRING;
      C_DCM2_DLL_FREQUENCY_MODE : STRING;
      C_DCM2_CLK_FEEDBACK : STRING;
      C_DCM2_CLKOUT_PHASE_SHIFT : STRING;
      C_DCM2_PHASE_SHIFT : INTEGER;
      C_DCM2_CLKFX_MULTIPLY : INTEGER;
      C_DCM2_CLKFX_DIVIDE : INTEGER;
      C_DCM2_CLKDV_DIVIDE : REAL;
      C_DCM2_CLK0_BUF : BOOLEAN;
      C_DCM2_CLK90_BUF : BOOLEAN;
      C_DCM2_CLKDV_BUF : BOOLEAN;
      C_DCM2_CLK2X_BUF : BOOLEAN;
      C_DCM2_CLKFX_BUF : BOOLEAN;
      C_DCM2_CLKIN_MODULE : STRING;
      C_DCM2_CLKIN_PORT : STRING;
      C_DCM2_CLKFB_MODULE : STRING;
      C_DCM2_CLKFB_PORT : STRING;
      C_DCM2_CLK0_OUT : STRING;
      C_DCM2_CLK0_INV_OUT : STRING;
      C_DCM2_CLK90_OUT : STRING;
      C_DCM2_CLK90_INV_OUT : STRING;
      C_DCM2_CLKDV_OUT : STRING;
      C_DCM2_CLKDV_INV_OUT : STRING;
      C_DCM2_CLK2X_OUT : STRING;
      C_DCM2_CLK2X_INV_OUT : STRING;
      C_DCM2_CLKFX_OUT : STRING;
      C_DCM2_CLKFX_INV_OUT : STRING;
      C_DCM3_DFS_FREQUENCY_MODE : STRING;
      C_DCM3_DLL_FREQUENCY_MODE : STRING;
      C_DCM3_CLK_FEEDBACK : STRING;
      C_DCM3_CLKOUT_PHASE_SHIFT : STRING;
      C_DCM3_PHASE_SHIFT : INTEGER;
      C_DCM3_CLKFX_MULTIPLY : INTEGER;
      C_DCM3_CLKFX_DIVIDE : INTEGER;
      C_DCM3_CLKDV_DIVIDE : REAL;
      C_DCM3_CLK0_BUF : BOOLEAN;
      C_DCM3_CLK90_BUF : BOOLEAN;
      C_DCM3_CLKDV_BUF : BOOLEAN;
      C_DCM3_CLK2X_BUF : BOOLEAN;
      C_DCM3_CLKFX_BUF : BOOLEAN;
      C_DCM3_CLKIN_MODULE : STRING;
      C_DCM3_CLKIN_PORT : STRING;
      C_DCM3_CLKFB_MODULE : STRING;
      C_DCM3_CLKFB_PORT : STRING;
      C_DCM3_CLK0_OUT : STRING;
      C_DCM3_CLK0_INV_OUT : STRING;
      C_DCM3_CLK90_OUT : STRING;
      C_DCM3_CLK90_INV_OUT : STRING;
      C_DCM3_CLKDV_OUT : STRING;
      C_DCM3_CLKDV_INV_OUT : STRING;
      C_DCM3_CLK2X_OUT : STRING;
      C_DCM3_CLK2X_INV_OUT : STRING;
      C_DCM3_CLKFX_OUT : STRING;
      C_DCM3_CLKFX_INV_OUT : STRING
    );
    port (
      RST : in std_logic;
      CLKIN : in std_logic;
      CLKFBIN : in std_logic;
      CLKOUT0 : out std_logic;
      CLKOUT1 : out std_logic;
      CLKOUT2 : out std_logic;
      CLKOUT3 : out std_logic;
      CLKOUT4 : out std_logic;
      CLKOUT5 : out std_logic;
      CLKOUT6 : out std_logic;
      CLKOUT7 : out std_logic;
      CLKOUT8 : out std_logic;
      CLKOUT9 : out std_logic;
      CLKOUT10 : out std_logic;
      CLKOUT11 : out std_logic;
      CLKOUT12 : out std_logic;
      CLKOUT13 : out std_logic;
      CLKOUT14 : out std_logic;
      CLKOUT15 : out std_logic;
      CLKFBOUT : out std_logic;
      LOCKED : out std_logic
    );
  end component;

begin

  clock_generator_0 : clock_generator
    generic map (
      C_FAMILY => "spartan3",
      C_EXT_RESET_HIGH => 1,
      C_NUM_DCM => 1,
      C_DCM0_DFS_FREQUENCY_MODE => "LOW",
      C_DCM0_DLL_FREQUENCY_MODE => "LOW",
      C_DCM0_CLK_FEEDBACK => "1X",
      C_DCM0_CLKOUT_PHASE_SHIFT => "NONE",
      C_DCM0_PHASE_SHIFT => 0,
      C_DCM0_CLKFX_MULTIPLY => 4,
      C_DCM0_CLKFX_DIVIDE => 1,
      C_DCM0_CLKDV_DIVIDE => 2.0,
      C_DCM0_CLK0_BUF => TRUE,
      C_DCM0_CLK90_BUF => FALSE,
      C_DCM0_CLKDV_BUF => FALSE,
      C_DCM0_CLK2X_BUF => FALSE,
      C_DCM0_CLKFX_BUF => FALSE,
      C_DCM0_CLKIN_MODULE => "CLKGEN",
      C_DCM0_CLKIN_PORT => "CLKIN",
      C_DCM0_CLKFB_MODULE => "NONE",
      C_DCM0_CLKFB_PORT => "NONE",
      C_DCM0_CLK0_OUT => "CLKOUT0",
      C_DCM0_CLK0_INV_OUT => "NONE",
      C_DCM0_CLK90_OUT => "NONE",
      C_DCM0_CLK90_INV_OUT => "NONE",
      C_DCM0_CLKDV_OUT => "NONE",
      C_DCM0_CLKDV_INV_OUT => "NONE",
      C_DCM0_CLK2X_OUT => "NONE",
      C_DCM0_CLK2X_INV_OUT => "NONE",
      C_DCM0_CLKFX_OUT => "NONE",
      C_DCM0_CLKFX_INV_OUT => "NONE",
      C_DCM1_DFS_FREQUENCY_MODE => "LOW",
      C_DCM1_DLL_FREQUENCY_MODE => "LOW",
      C_DCM1_CLK_FEEDBACK => "1X",
      C_DCM1_CLKOUT_PHASE_SHIFT => "NONE",
      C_DCM1_PHASE_SHIFT => 0,
      C_DCM1_CLKFX_MULTIPLY => 4,
      C_DCM1_CLKFX_DIVIDE => 1,
      C_DCM1_CLKDV_DIVIDE => 2.0,
      C_DCM1_CLK0_BUF => FALSE,
      C_DCM1_CLK90_BUF => FALSE,
      C_DCM1_CLKDV_BUF => FALSE,
      C_DCM1_CLK2X_BUF => FALSE,
      C_DCM1_CLKFX_BUF => FALSE,
      C_DCM1_CLKIN_MODULE => "NONE",
      C_DCM1_CLKIN_PORT => "NONE",
      C_DCM1_CLKFB_MODULE => "NONE",
      C_DCM1_CLKFB_PORT => "NONE",
      C_DCM1_CLK0_OUT => "NONE",
      C_DCM1_CLK0_INV_OUT => "NONE",
      C_DCM1_CLK90_OUT => "NONE",
      C_DCM1_CLK90_INV_OUT => "NONE",
      C_DCM1_CLKDV_OUT => "NONE",
      C_DCM1_CLKDV_INV_OUT => "NONE",
      C_DCM1_CLK2X_OUT => "NONE",
      C_DCM1_CLK2X_INV_OUT => "NONE",
      C_DCM1_CLKFX_OUT => "NONE",
      C_DCM1_CLKFX_INV_OUT => "NONE",
      C_DCM2_DFS_FREQUENCY_MODE => "LOW",
      C_DCM2_DLL_FREQUENCY_MODE => "LOW",
      C_DCM2_CLK_FEEDBACK => "1X",
      C_DCM2_CLKOUT_PHASE_SHIFT => "NONE",
      C_DCM2_PHASE_SHIFT => 0,
      C_DCM2_CLKFX_MULTIPLY => 4,
      C_DCM2_CLKFX_DIVIDE => 1,
      C_DCM2_CLKDV_DIVIDE => 2.0,
      C_DCM2_CLK0_BUF => FALSE,
      C_DCM2_CLK90_BUF => FALSE,
      C_DCM2_CLKDV_BUF => FALSE,
      C_DCM2_CLK2X_BUF => FALSE,
      C_DCM2_CLKFX_BUF => FALSE,
      C_DCM2_CLKIN_MODULE => "NONE",
      C_DCM2_CLKIN_PORT => "NONE",
      C_DCM2_CLKFB_MODULE => "NONE",
      C_DCM2_CLKFB_PORT => "NONE",
      C_DCM2_CLK0_OUT => "NONE",
      C_DCM2_CLK0_INV_OUT => "NONE",
      C_DCM2_CLK90_OUT => "NONE",
      C_DCM2_CLK90_INV_OUT => "NONE",
      C_DCM2_CLKDV_OUT => "NONE",
      C_DCM2_CLKDV_INV_OUT => "NONE",
      C_DCM2_CLK2X_OUT => "NONE",
      C_DCM2_CLK2X_INV_OUT => "NONE",
      C_DCM2_CLKFX_OUT => "NONE",
      C_DCM2_CLKFX_INV_OUT => "NONE",
      C_DCM3_DFS_FREQUENCY_MODE => "LOW",
      C_DCM3_DLL_FREQUENCY_MODE => "LOW",
      C_DCM3_CLK_FEEDBACK => "1X",
      C_DCM3_CLKOUT_PHASE_SHIFT => "NONE",
      C_DCM3_PHASE_SHIFT => 0,
      C_DCM3_CLKFX_MULTIPLY => 4,
      C_DCM3_CLKFX_DIVIDE => 1,
      C_DCM3_CLKDV_DIVIDE => 2.0,
      C_DCM3_CLK0_BUF => FALSE,
      C_DCM3_CLK90_BUF => FALSE,
      C_DCM3_CLKDV_BUF => FALSE,
      C_DCM3_CLK2X_BUF => FALSE,
      C_DCM3_CLKFX_BUF => FALSE,
      C_DCM3_CLKIN_MODULE => "NONE",
      C_DCM3_CLKIN_PORT => "NONE",
      C_DCM3_CLKFB_MODULE => "NONE",
      C_DCM3_CLKFB_PORT => "NONE",
      C_DCM3_CLK0_OUT => "NONE",
      C_DCM3_CLK0_INV_OUT => "NONE",
      C_DCM3_CLK90_OUT => "NONE",
      C_DCM3_CLK90_INV_OUT => "NONE",
      C_DCM3_CLKDV_OUT => "NONE",
      C_DCM3_CLKDV_INV_OUT => "NONE",
      C_DCM3_CLK2X_OUT => "NONE",
      C_DCM3_CLK2X_INV_OUT => "NONE",
      C_DCM3_CLKFX_OUT => "NONE",
      C_DCM3_CLKFX_INV_OUT => "NONE"
    )
    port map (
      RST => RST,
      CLKIN => CLKIN,
      CLKFBIN => CLKFBIN,
      CLKOUT0 => CLKOUT0,
      CLKOUT1 => CLKOUT1,
      CLKOUT2 => CLKOUT2,
      CLKOUT3 => CLKOUT3,
      CLKOUT4 => CLKOUT4,
      CLKOUT5 => CLKOUT5,
      CLKOUT6 => CLKOUT6,
      CLKOUT7 => CLKOUT7,
      CLKOUT8 => CLKOUT8,
      CLKOUT9 => CLKOUT9,
      CLKOUT10 => CLKOUT10,
      CLKOUT11 => CLKOUT11,
      CLKOUT12 => CLKOUT12,
      CLKOUT13 => CLKOUT13,
      CLKOUT14 => CLKOUT14,
      CLKOUT15 => CLKOUT15,
      CLKFBOUT => CLKFBOUT,
      LOCKED => LOCKED
    );

end architecture STRUCTURE;

