-------------------------------------------------------------------------------
-- system_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system_stub is
  port (
    fpga_0_RS232_RX_pin : in std_logic;
    fpga_0_RS232_TX_pin : out std_logic;
    fpga_0_USB_UART_RX_pin : in std_logic;
    fpga_0_USB_UART_TX_pin : out std_logic;
    fpga_0_USB_UART_reset_pin : out std_logic;
    fpga_0_LEDs_4Bit_GPIO_d_out_pin : out std_logic_vector(0 to 3);
    fpga_0_LED_7Segment1_GPIO_d_out_pin : out std_logic_vector(0 to 6);
    fpga_0_LED_7Segment2_GPIO_d_out_pin : out std_logic_vector(0 to 6);
    fpga_0_Push_Buttons_2Bit_GPIO_in_pin : in std_logic_vector(0 to 1);
    fpga_0_DIP_Switches_8Bit_GPIO_in_pin : in std_logic_vector(0 to 7);
    fpga_0_FLASH_READY_GPIO_in_pin : in std_logic_vector(0 to 0);
    fpga_0_FLASH_2Mx16_Mem_A_pin : out std_logic_vector(10 to 30);
    fpga_0_FLASH_2Mx16_Mem_DQ_pin : inout std_logic_vector(0 to 15);
    fpga_0_FLASH_2Mx16_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_FLASH_2Mx16_Mem_CEN_pin : out std_logic_vector(0 to 0);
    fpga_0_FLASH_2Mx16_Mem_WEN_pin : out std_logic;
    fpga_0_FLASH_2Mx16_Mem_RPN_pin : out std_logic;
    sys_clk_pin : in std_logic;
    sys_rst_pin : in std_logic;
    asap_config_1_o_spi_asap_load_en_pin : out std_logic;
    asap_config_1_o_spi_asap_mosi_pin : out std_logic;
    asap_config_1_o_spi_asap_csn_pin : out std_logic;
    asap_config_1_o_spi_asap_sck_pin : out std_logic;
    asap_config_1_o_spi_asap_cfg_vld_pin : out std_logic;
    asap_config_1_o_spi_asap_cfg_clk_pin : out std_logic;
    asap_config_1_o_reset_cold_asap_pin : out std_logic;
    asap_config_1_i_spi_asap_miso_pin : in std_logic;
    asap_config_0_o_spi_asap_load_en_pin : out std_logic;
    asap_config_0_o_spi_asap_mosi_pin : out std_logic;
    asap_config_0_o_spi_asap_csn_pin : out std_logic;
    asap_config_0_o_spi_asap_sck_pin : out std_logic;
    asap_config_0_o_spi_asap_cfg_vld_pin : out std_logic;
    asap_config_0_o_spi_asap_cfg_clk_pin : out std_logic;
    asap_config_0_o_reset_cold_asap_pin : out std_logic;
    asap_config_0_i_spi_asap_miso_pin : in std_logic
  );
end system_stub;

architecture STRUCTURE of system_stub is

  component system is
    port (
      fpga_0_RS232_RX_pin : in std_logic;
      fpga_0_RS232_TX_pin : out std_logic;
      fpga_0_USB_UART_RX_pin : in std_logic;
      fpga_0_USB_UART_TX_pin : out std_logic;
      fpga_0_USB_UART_reset_pin : out std_logic;
      fpga_0_LEDs_4Bit_GPIO_d_out_pin : out std_logic_vector(0 to 3);
      fpga_0_LED_7Segment1_GPIO_d_out_pin : out std_logic_vector(0 to 6);
      fpga_0_LED_7Segment2_GPIO_d_out_pin : out std_logic_vector(0 to 6);
      fpga_0_Push_Buttons_2Bit_GPIO_in_pin : in std_logic_vector(0 to 1);
      fpga_0_DIP_Switches_8Bit_GPIO_in_pin : in std_logic_vector(0 to 7);
      fpga_0_FLASH_READY_GPIO_in_pin : in std_logic_vector(0 to 0);
      fpga_0_FLASH_2Mx16_Mem_A_pin : out std_logic_vector(10 to 30);
      fpga_0_FLASH_2Mx16_Mem_DQ_pin : inout std_logic_vector(0 to 15);
      fpga_0_FLASH_2Mx16_Mem_OEN_pin : out std_logic_vector(0 to 0);
      fpga_0_FLASH_2Mx16_Mem_CEN_pin : out std_logic_vector(0 to 0);
      fpga_0_FLASH_2Mx16_Mem_WEN_pin : out std_logic;
      fpga_0_FLASH_2Mx16_Mem_RPN_pin : out std_logic;
      sys_clk_pin : in std_logic;
      sys_rst_pin : in std_logic;
      asap_config_1_o_spi_asap_load_en_pin : out std_logic;
      asap_config_1_o_spi_asap_mosi_pin : out std_logic;
      asap_config_1_o_spi_asap_csn_pin : out std_logic;
      asap_config_1_o_spi_asap_sck_pin : out std_logic;
      asap_config_1_o_spi_asap_cfg_vld_pin : out std_logic;
      asap_config_1_o_spi_asap_cfg_clk_pin : out std_logic;
      asap_config_1_o_reset_cold_asap_pin : out std_logic;
      asap_config_1_i_spi_asap_miso_pin : in std_logic;
      asap_config_0_o_spi_asap_load_en_pin : out std_logic;
      asap_config_0_o_spi_asap_mosi_pin : out std_logic;
      asap_config_0_o_spi_asap_csn_pin : out std_logic;
      asap_config_0_o_spi_asap_sck_pin : out std_logic;
      asap_config_0_o_spi_asap_cfg_vld_pin : out std_logic;
      asap_config_0_o_spi_asap_cfg_clk_pin : out std_logic;
      asap_config_0_o_reset_cold_asap_pin : out std_logic;
      asap_config_0_i_spi_asap_miso_pin : in std_logic
    );
  end component;

begin

  system_i : system
    port map (
      fpga_0_RS232_RX_pin => fpga_0_RS232_RX_pin,
      fpga_0_RS232_TX_pin => fpga_0_RS232_TX_pin,
      fpga_0_USB_UART_RX_pin => fpga_0_USB_UART_RX_pin,
      fpga_0_USB_UART_TX_pin => fpga_0_USB_UART_TX_pin,
      fpga_0_USB_UART_reset_pin => fpga_0_USB_UART_reset_pin,
      fpga_0_LEDs_4Bit_GPIO_d_out_pin => fpga_0_LEDs_4Bit_GPIO_d_out_pin,
      fpga_0_LED_7Segment1_GPIO_d_out_pin => fpga_0_LED_7Segment1_GPIO_d_out_pin,
      fpga_0_LED_7Segment2_GPIO_d_out_pin => fpga_0_LED_7Segment2_GPIO_d_out_pin,
      fpga_0_Push_Buttons_2Bit_GPIO_in_pin => fpga_0_Push_Buttons_2Bit_GPIO_in_pin,
      fpga_0_DIP_Switches_8Bit_GPIO_in_pin => fpga_0_DIP_Switches_8Bit_GPIO_in_pin,
      fpga_0_FLASH_READY_GPIO_in_pin => fpga_0_FLASH_READY_GPIO_in_pin(0 to 0),
      fpga_0_FLASH_2Mx16_Mem_A_pin => fpga_0_FLASH_2Mx16_Mem_A_pin,
      fpga_0_FLASH_2Mx16_Mem_DQ_pin => fpga_0_FLASH_2Mx16_Mem_DQ_pin,
      fpga_0_FLASH_2Mx16_Mem_OEN_pin => fpga_0_FLASH_2Mx16_Mem_OEN_pin(0 to 0),
      fpga_0_FLASH_2Mx16_Mem_CEN_pin => fpga_0_FLASH_2Mx16_Mem_CEN_pin(0 to 0),
      fpga_0_FLASH_2Mx16_Mem_WEN_pin => fpga_0_FLASH_2Mx16_Mem_WEN_pin,
      fpga_0_FLASH_2Mx16_Mem_RPN_pin => fpga_0_FLASH_2Mx16_Mem_RPN_pin,
      sys_clk_pin => sys_clk_pin,
      sys_rst_pin => sys_rst_pin,
      asap_config_1_o_spi_asap_load_en_pin => asap_config_1_o_spi_asap_load_en_pin,
      asap_config_1_o_spi_asap_mosi_pin => asap_config_1_o_spi_asap_mosi_pin,
      asap_config_1_o_spi_asap_csn_pin => asap_config_1_o_spi_asap_csn_pin,
      asap_config_1_o_spi_asap_sck_pin => asap_config_1_o_spi_asap_sck_pin,
      asap_config_1_o_spi_asap_cfg_vld_pin => asap_config_1_o_spi_asap_cfg_vld_pin,
      asap_config_1_o_spi_asap_cfg_clk_pin => asap_config_1_o_spi_asap_cfg_clk_pin,
      asap_config_1_o_reset_cold_asap_pin => asap_config_1_o_reset_cold_asap_pin,
      asap_config_1_i_spi_asap_miso_pin => asap_config_1_i_spi_asap_miso_pin,
      asap_config_0_o_spi_asap_load_en_pin => asap_config_0_o_spi_asap_load_en_pin,
      asap_config_0_o_spi_asap_mosi_pin => asap_config_0_o_spi_asap_mosi_pin,
      asap_config_0_o_spi_asap_csn_pin => asap_config_0_o_spi_asap_csn_pin,
      asap_config_0_o_spi_asap_sck_pin => asap_config_0_o_spi_asap_sck_pin,
      asap_config_0_o_spi_asap_cfg_vld_pin => asap_config_0_o_spi_asap_cfg_vld_pin,
      asap_config_0_o_spi_asap_cfg_clk_pin => asap_config_0_o_spi_asap_cfg_clk_pin,
      asap_config_0_o_reset_cold_asap_pin => asap_config_0_o_reset_cold_asap_pin,
      asap_config_0_i_spi_asap_miso_pin => asap_config_0_i_spi_asap_miso_pin
    );

end architecture STRUCTURE;

